%define emacsver 20.7

Summary: Mew - Messaging in the Emacs World.
Name: mew
Version: 1.94.2
Release: 12s.1
License: BSD-like
Group: Applications/Internet
URL: http://www.mew.org/
## re-compressed with bzip2 instead of gzip
## Source0: ftp://ftp.mew.org/pub/Mew/mew-%{version}.tar.gz
Source0: mew-%{version}.tar.bz2
Source1: mew-init.el
Requires: im >= 130
Requires: emacs >= %{emacsver}
BuildPrereq: emacs >= %{emacsver}
BuildRequires: emacs >= %{emacsver}
PreReq: /sbin/install-info
Obsoletes: mew-mule 
Conflicts: mew-xemacs-extra
## BuildRequires: emacs >=%{emacsver}
BuildRoot: %{_tmppath}/%{name}-%{version}


%description
Messaging in the Emacs World. It provides a very easy user interface
to email, MIME, and PGP (Pretty Good Privacy) on Emacen.

%prep
%setup -q -n mew-%{version}


%build
make PREFIX=%{_prefix} CFLAGS="$RPM_OPT_FLAGS" \
	EMACS=/usr/bin/emacs ELISPDIR=%{_datadir}/emacs/site-lisp/mew
make EMACS=/usr/bin/emacs INFODIR=%{_datadir}/info info
make EMACS=/usr/bin/emacs INFODIR=%{_datadir}/info jinfo


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/{info,emacs/site-lisp/{mew,site-start.d}}

make install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	ELISPDIR=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/mew \
	INFODIR=$RPM_BUILD_ROOT%{_datadir}/info

# install {info,jinfo} for mew-emacs
make install-info \
	INSTALLINFO="/sbin/install-info" \
	INFODIR=$RPM_BUILD_ROOT%{_datadir}/info 

make install-jinfo \
	INSTALLINFO="/sbin/install-info" \
	INFODIR=$RPM_BUILD_ROOT%{_datadir}/info 

install -m 644 %{SOURCE1} \
	$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/site-start.d

%post
/sbin/install-info /usr/share/info/mew.info \
	/usr/share/info/dir --section="Message User Agent"
/sbin/install-info /usr/share/info/mew.jis.info \
	/usr/share/info/dir --section="Message User Agent"

%preun
if [ "$1" = 0 ]; then
  /sbin/install-info --delete /usr/share/info/mew.info \
  	/usr/share/info/dir --section="Message User Agent"
  /sbin/install-info --delete /usr/share/info/mew.jis.info \
  	/usr/share/info/dir --section="Message User Agent"
fi

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root)
%doc 00changes 00copyright 00copyright.jis 00diff 00readme mew.dot.emacs
%doc contrib/
%{_datadir}/info/mew.info.gz
%{_datadir}/info/mew.info-*
%{_datadir}/info/mew.jis.info.gz
%{_datadir}/info/mew.jis.info-*
%{_datadir}/emacs/site-lisp/mew/*
%{_datadir}/emacs/site-lisp/site-start.d/mew-init.el
%{_bindir}/*

%changelog
* Wed Mar 18 2003 D. Marlin <dmarlin@redhat.com>
- new s390 release number and rebuild for s390 (bug #85960)

* Wed Oct  3 2001 Trond Eivind Glomsrd <teg@redhat.com> 1.94.2-12
- Fix broken %%post script ("oops!" is not a binary)
- s/Copyright/License/
- Don't define version and release on top of the file, and then use these to set
  the header values. Once is enough.

* Tue Oct  2 2001 Jens Petersen <petersen@redhat.com>  1.94.2-11
- put localhost in mew-mail-domain-list (mew-init.el) to avoid startup error

* Fri Sep  7 2001 SATO Satoru <ssato@redhat.com>  1.94.2-10
- added the line for the missing files in %%files (#54235)

* Wed Jul 17 2001 SATO Satoru <ssato@redhat.com>  1.94.2-9
- s/Emacs\=emacs/Emacs\=\/usr\/bin\/emacs/

* Mon Jul 10 2001 SATO Satoru <ssato@redhat.com>
- fix the group (close #47279)
- BuildPrereq: emacs >= %%{emacsver}
- BuildRequires: emacs >= %%{emacsver}

* Mon Jun 25 2001 Bill Nottingham <notting@redhat.com>
- this is *not* a noarch package

* Mon Jun 25 2001 SATO Satoru <ssato@redhat.com>
- rebuild (mew-*.tar.bz was corrupted)
- modified mew-init.el

* Tue Jun  5 2001 SATO Satoru <ssato@redhat.com>
- remove the Japanese messages
- fix Copyright term.
- clean up SPEC
- add mew-init.el
- BuildArch: noarch
- shorten lengthy description
- build for 7.2

* Tue Aug 29 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- fix License Term.
- adopt FHS
- built on RedHat 7.0

* Wed Jun  7 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- fix description: mess up with mule/emacs/xemacs...
- added BuildRequires and Conflicts

* Wed Apr 26 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- updated 1.94.2

* Wed Apr 26 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- added PreReq: /sbin/install-info
- attrib +x for /usr/bin/uumerge
- CFLAGS="$RPM_OPT_FLAGS"

* Fri Jan 07 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
 - 1.94.1-2
 - changed destination to /usr/share/emacs/site-lisp/mew

* Sat Nov 27 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
 - 1.94.1-1
 - updated in sync with 1.94.1 release
 - fixed %post and %preun section
 - Obsoletes: mew now changed to Obsoletes: mew-mule

* Fri Oct  8 1999 Yasushi Karino <kari-p@mc.kcom.ne.jp>
 - fixed info path & install info
 - fixed '%description'

* Sat Oct  2 1999 Yasushi Karino <kari-p@mc.kcom.ne.jp>
 - removed extra packages
 - fixed char-set "euc" of the spec file.
 - slight modifications for Vine-1.9

* Wed Sep 29 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
  - 1.94-3
  - package name changed from mew-emacs to mew
  - make info, make jinfo now processed even under emacs

* Thu Sep 16 1999 Ushio Tadaaki <t-ushio@fb3.so-net.ne.jp>
- Released as version "1.94-2".

Changed from "mew-emacs 1.94-1".
- Deleted "NoSource: 0", the definition part of data. 
- Revised some, the definition part of data. 
- Revised some, part of "%post, %postun".
- Changerd "%postun" => "%preun".

* Mon Sep  6 1999 Ushio Tadaaki <t-ushio@fb3.so-net.ne.jp>
- First release.
